summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-05-20 17:56:11 +0100
committerLeah Rowe <leah@libreboot.org>2023-05-20 17:57:15 +0100
commitb12dced470a8e256425e35f97e830747c673802b (patch)
treeadc7cb82e699039f3d6f84fffb5a441d0bed2dc7
parent355a45b435ba6ef1dbceddf4d2cbeef9517ff370 (diff)
build/cbutil: avoid frivilous use of subshells
Signed-off-by: Leah Rowe <leah@libreboot.org>
-rwxr-xr-xresources/scripts/build/module/cbutils8
1 files changed, 3 insertions, 5 deletions
diff --git a/resources/scripts/build/module/cbutils b/resources/scripts/build/module/cbutils
index 487e4fd9..504f7e8a 100755
--- a/resources/scripts/build/module/cbutils
+++ b/resources/scripts/build/module/cbutils
@@ -2,7 +2,7 @@
# helper script: build various coreboot utilities
#
-# Copyright (C) 2014, 2015, 2016, 2020, 2021 Leah Rowe <info@minifree.org>
+# Copyright (C) 2014-2016,2020,2021,2023 Leah Rowe <info@minifree.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -64,10 +64,8 @@ buildutils() {
return 1
fi
for util in cbfstool ifdtool; do
- (
- cd "coreboot/${cbtree}/util/${util}/"
- make -j$(nproc) || return 1
- )
+ make -j$(nproc) -BC "coreboot/${cbtree}/util/${util}/" \
+ || return 1
done
}